<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mmobileuser extends CI_Model
{

    public $table = 'MOBILE_USERS';
    public $id = 'ID_INC';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
$this->output->enable_profiler(false);
    }

    // datatables
    function json()
    {
        $this->datatables->select('ID_INC,NIK,NAMA,TELP,EMAIL');
        $this->datatables->from('MOBILE_USERS');
        $this->datatables->add_column('action', '<div class="btn-group">' . anchor(site_url('mobile/resetPassword/$1'), '<i class="fa fa-refresh"></i>', 'class="btn btn-xs btn-warning" onclick="javasciprt: return confirm(\'Password akan di reset ke password default PASS. apakah anda yakin?\')"') . anchor(site_url('mobile/delete_user/$1'), '<i class="fa fa-trash"></i>', 'class="btn btn-xs btn-danger" onclick="javasciprt: return confirm(\'Apakah anda yakin?\')"') . '</div>', 'ID_INC');
        return $this->datatables->generate();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }

    // get total rows
    function total_rows($q = NULL)
    {
        $this->db->like('ID_INC', $q);
        $this->db->or_like('EMAIL', $q);
        $this->db->or_like('NAMA', $q);
        $this->db->or_like('NIK', $q);
        $this->db->or_like('TELP', $q);
        $this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL)
    {
        $this->db->order_by($this->id, $this->order);
        $this->db->like('ID_INC', $q);
        $this->db->or_like('EMAIL', $q);
        $this->db->or_like('NAMA', $q);
        $this->db->or_like('NIK', $q);
        $this->db->or_like('TELP', $q);
        $this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }
}

/* End of file Mpengguna.php */
/* Location: ./application/models/Mpengguna.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-29 07:13:04 */
/* http://harviacode.com */
